Package com.collibra.dgc.core.api.dto.instance.issue

# Enum Class FindIssuesRequest.SortField

Object
Enum<FindIssuesRequest.SortField>
SortField

All Implemented Interfaces:
  `Serializable`, `Comparable<FindIssuesRequest.SortField>`, `Constable`

Enclosing class:
  `FindIssuesRequest`

public static enum FindIssuesRequest.SortField extends Enum<FindIssuesRequest.SortField>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATED_BY`
  `NAME`
  `PRIORITY`
  `RESOLUTION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindIssuesRequest.SortField`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FindIssuesRequest.SortField[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NAME

    public static final FindIssuesRequest.SortField NAME

  - ### PRIORITY

    public static final FindIssuesRequest.SortField PRIORITY

  - ### RESOLUTION

    public static final FindIssuesRequest.SortField RESOLUTION

  - ### CREATED_BY

    public static final FindIssuesRequest.SortField CREATED_BY

- ## Method Details

  - ### values

    public static FindIssuesRequest.SortField[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FindIssuesRequest.SortField valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null